Returns dashboards for the current user.

GEThttps://api.awork.com/api/v1/me/dashboards
GET https://api.awork.com/api/v1/me/dashboards

Returns dashboards for the current user. Set includeWidgets to include widget details. A default dashboard is created when none exists.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Query parameters

includeWidgetsbooleanOptional
Default: false

Include widgets.

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the dashboard.

userIdstringOptional
format: uuid

The id of the user that the dashboard belongs to.

createdOnstringOptional
format: date-time

The creation date.

updatedOnstringOptional
format: date-time

The date when the entity was last updated.

widgetsarray of object or nullOptional

A list of all widgets of the dashboard.

Show 13 properties
idstringOptional
format: uuid

The id of the widget.

typestring or nullOptional

The type of the widget.

namestring or nullOptional

The name of the widget.

entityIdstring or nullOptional
format: uuid

The id of the entity that the widget is referencing.

filterIdstring or nullOptional
format: uuid

The id of the filter that the widget is referencing.

createdOnstringOptional
format: date-time

The creation date.

createdBystring or nullOptional
format: uuid

The id of the user who created the entity.

updatedOnstringOptional
format: date-time

The date when the entity was last updated.

updatedBystring or nullOptional
format: uuid

The id of the user who last updated the entity.

columnintegerOptional
format: int32

The column of the widget within the dashboard.

orderintegerOptional
format: int32

The order of the widget within the column.

settingsstring or nullOptional

The settings of the widget.

valuestring or nullOptional

The value of a widget.

Search documentation